<hr class="bg-dark p-0 m-0">
<p class="mt-3"><strong>{{commonContent.tenantID}}</strong></p>
<hr class="bg-light p-0 m-0">
<form ngForm #addNewThresholdRuleForm="ngForm" class="mt-2 mr-2 ml-3 pr-5">
  <p class="text-left text-danger font-weight-bold ml-11">* {{threshold.required}}</p>
  <div class="row mt-3">
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-3'">
      <p class="text-left text-dark font-weight-bold">{{threshold.ruleCategory}}</p>
      <p class="text-left text-muted">{{threshold.ruleCatName}}</p>
    </div>
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-5'">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{threshold.dataLayer.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectLayer" #selectLayer="ngModel" [(ngModel)]="thDetails.data_layer_id"
          [dataSource]="businessLayerList" [fields]="businessLayerFields" (change)=dataLayerChange($event)
          cssClass="e-outline" class="custom-ddl" [placeholder]="threshold.selectOptionWaterMark"
          [ngClass]="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)?'error-control-highlight':''"
          allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder">
        </ejs-dropdownlist>
        <div *ngIf="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{threshold.dataLayer.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editThresholdDetails.data_layer_nm}}</p>
      </div>
    </div>
    <div class="col-md-4">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{threshold.object.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectObject" #selectObject="ngModel" [(ngModel)]="thDetails.obj_id"
          [dataSource]="objectList" [fields]="objectFields" (change)="objectChange($event)" cssClass="e-outline"
          class="custom-ddl" [placeholder]="threshold.selectOptionWaterMark" allowFiltering="true"
          [filterBarPlaceholder]="filterPlaceholder"
          [ngClass]="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{threshold.object.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editThresholdDetails.obj_nm}}</p>
      </div>
    </div>
  </div>
  <hr class="bg-light customHR">
  <div class="row">
    <div class="col-md-6">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{threshold.checkType.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <div class="d-flex">
          <ejs-dropdownlist required name="checkType" #checkType="ngModel" [(ngModel)]="thDetails.mstr_rule_id"
            [dataSource]="checkTypeList" [fields]="checkTypeFields" (change)=checkTypeChange($event)
            cssClass="e-outline" class="custom-ddl" [placeholder]="threshold.selectOptionWaterMark"
            [ngClass]="checkType.invalid && (checkType.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <ejs-tooltip *ngIf="!isRuleEditMode" id="tooltip" content={{threshold.checkType.subtitle}}>
            <em class="fa fa-info-circle ml-2 pt-3"></em></ejs-tooltip>
        </div>
        <div *ngIf="checkType.invalid && (checkType.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{threshold.checkType.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editThresholdDetails.visual_rule_desc}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-4">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{threshold.aggFunction.title}}
      </span>
      <div *ngIf="!isRuleEditMode">
        <div class="d-flex">
          <ejs-dropdownlist required class="mr-6 custom-ddl" name="aggFunction" #aggFunction="ngModel"
            [(ngModel)]="thDetails.agg_fn" cssClass="e-outline" [dataSource]="aggFuncList" [fields]="aggrFuncFields"
            [placeholder]="threshold.selectOptionWaterMark" (change)="aggrFuncChange($event)"
            [ngClass]="aggFunction.invalid && (aggFunction.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <ejs-tooltip id="tooltip" content={{threshold.aggFunction.subtitle}}>
            <em class="fa fa-info-circle ml-2 pt-3"></em></ejs-tooltip>
        </div>
        <div *ngIf="aggFunction.invalid && (aggFunction.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{threshold.aggFunction.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editThresholdDetails.agg_fn}}</p>
      </div>
    </div>
  </div>
  <div *ngIf="!isRuleEditMode && thDetails.mstr_rule_id && thDetails.mstr_rule_id === 'MRDQ1020'">
    <div class="row mt-3">
      <div class="col-md-6">
        <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{threshold.trendingAttribute.title}}
        </span>
        <div class="d-flex">
          <ejs-dropdownlist required name="trendingAttribute" #trendingAttribute="ngModel"
            [(ngModel)]="thDetails.trending_attr_id" [dataSource]="trendingAttrList" [fields]="attributeFields"
            (change)="attributeChange($event)" cssClass="e-outline" allowFiltering="true"
            [filterBarPlaceholder]="filterPlaceholder" class="mr-6 custom-ddl"
            [placeholder]="threshold.selectOptionWaterMark"
            [ngClass]="trendingAttribute.invalid && (trendingAttribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <ejs-tooltip *ngIf="!isRuleEditMode" id="tooltip" content={{threshold.trendingAttribute.subtitle}}>
            <em class="fa fa-info-circle ml-2 pt-3"></em></ejs-tooltip>
        </div>
        <div *ngIf="trendingAttribute.invalid && (trendingAttribute.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{threshold.trendingAttribute.errorMsg}}</p>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="isRuleEditMode && editThresholdDetails.mstr_rule_id && editThresholdDetails.mstr_rule_id === 'MRDQ1020'">
    <div class="row mt-3">
      <div class="col-md-6">
        <span class="text-left text-dark font-weight-bold">{{threshold.trendingAttribute.title}}</span>
        <p class="text-left text-muted mt-3">{{editThresholdDetails.trending_attr_nm}}</p>
      </div>
    </div>
  </div>
  <div *ngIf="thDetails.agg_fn !== 'Count'" class="row mt-3">
    <div class="col-md-6">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{threshold.aggFunAttribute.title}}
      </span>
      <div *ngIf="!isRuleEditMode">
        <div class="d-flex">
          <ejs-dropdownlist required name="aggrFunAttribute" #aggrFunAttribute="ngModel" [(ngModel)]="thDetails.attr_id"
            [dataSource]="aggrFuncAttrList" [fields]="attributeFields" (change)="aggrFuncAttrChange($event)"
            allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder" cssClass="e-outline"
            class="mr-6 custom-ddl" selectAllText="Select All" [placeholder]="threshold.selectOptionWaterMark"
            [ngClass]="aggrFunAttribute.invalid && (aggrFunAttribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <ejs-tooltip *ngIf="!isRuleEditMode" id="tooltip" content={{threshold.aggFunAttribute.subtitle}}>
            <em class="fa fa-info-circle ml-2 pt-3"></em></ejs-tooltip>
        </div>
        <div *ngIf="aggrFunAttribute.invalid && (aggrFunAttribute.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{threshold.aggFunAttribute.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editThresholdDetails.attr_nm}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-6">
      <span class="text-left text-dark font-weight-bold">{{threshold.dimensionAttr.title}}
      </span>
      <div *ngIf="!isRuleEditMode">
        <div class="d-flex">
          <ejs-multiselect name="dimensionAttr" #dimensionAttr="ngModel" [(ngModel)]="thDetails.bk_attr_id"
            [dataSource]="dimAttrList" mode="CheckBox" [showDropDownIcon]='true' (change)="checkDuplicity($event)"
            [fields]="attributeFields" [placeholder]="threshold.selectOptionWaterMark" cssClass="e-outline"
            class="mr-6 custom-ddl" showSelectAll="true" [filterBarPlaceholder]="filterPlaceholder">
          </ejs-multiselect>
          <ejs-tooltip *ngIf="!isRuleEditMode" id="tooltip" content={{threshold.dimensionAttr.subtitle}}>
            <em class="fa fa-info-circle ml-2 pt-3"></em></ejs-tooltip>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editThresholdDetails.dimension_attr_nm}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{threshold.thresholdLimit.title}}</span>
      <div class="d-flex mt-2">
        <ejs-numerictextbox required name="thLimit" #thLimit="ngModel" [(ngModel)]="thDetails.th_val"
          placeholder="Value in %" cssClass="e-outline" min="0" max="1" step="0.01" width="220px" format="p2"
          [ngClass]="thLimit.invalid && (thLimit.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-numerictextbox>
        <ejs-tooltip *ngIf="!isRuleEditMode" id="tooltip" content={{threshold.thresholdLimit.subtitle}}>
          <em class="fa fa-info-circle ml-2 pt-2"></em></ejs-tooltip>
      </div>
      <div *ngIf="thLimit.invalid && (thLimit.touched || formInvalidAfterSaveClick)">
        <p class="text-danger">{{threshold.thresholdLimit.errorMsg}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-4">
      <span class="text-left text-dark font-weight-bold">{{threshold.condition.title}}</span>
      <div class="d-flex">
        <ejs-textbox name="condition" #condition="ngModel" [(ngModel)]="thDetails.fltr_con"
          [placeholder]="threshold.condition.title" cssClass="e-outline" class="custom-textbox-setting"
          autofocus="!isRuleEditMode">
        </ejs-textbox>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-3">
      <p class="text-left text-dark font-weight-bold">{{threshold.status.title}}</p>
      <span>
        <ejs-checkbox [label]="threshold.status.label" name="active" #active="ngModel"
          [(ngModel)]="thDetails.is_rule_actv" [value]="status">
        </ejs-checkbox>
      </span>
    </div>
    <div class="col-md-9">
      <p class="text-left text-dark font-weight-bold">
        {{threshold.severity.title}}</p>
      <span *ngFor="let severityOption of severityOptions" class="mr-2">
        <ejs-radiobutton label="{{severityOption}}" name="severity" #severity="ngModel"
          [(ngModel)]="thDetails.rule_svrt" value="{{severityOption}}" (click)="thDetails.rule_svrt = severityOption"
          [ngClass]="thDetails.rule_svrt === severityOption?'chkdcustom-radio-btn':'custom-radio-btn'">
        </ejs-radiobutton>
      </span>
    </div>
  </div>
  <div class="row mt-3 custrow">
    <div class="col-md-12">
      <p class="text-left text-dark font-weight-bold">{{threshold.description.title}}</p>
      <ejs-textbox name="description" #description="ngModel" [(ngModel)]="thDetails.rule_desc" cssClass="e-outline"
        class="mr-2 custom-textbox" [multiline]="true">
      </ejs-textbox>
    </div>
  </div>
</form>
<hr>
<div class="bg-light pt-3 pl-3">
  <h6 class="text-left text-dark font-weight-bold">{{commonContent.applySelections}}</h6>
  <div class="row p-3">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[0]}}</span>
      <ejs-dropdownlist name="therapeuticClass" #therapeuticClass="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="threshold.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[1]}}</span>
      <ejs-dropdownlist name="brand" #brand="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="threshold.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[2]}}</span>
      <ejs-dropdownlist name="fieldForce" #fieldForce="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="threshold.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
  </div>
</div>